Skip to main content
POST
Create integration request

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

Route account; caller must be a member.

Body

application/json

Flat JSON. Nested controller-name envelopes alone are ignored by current permit lists; unpermitted fields are ignored.

catalog_key
string | null

catalog key: flat permitted field.

app_name
string | null

app name: flat permitted field.

Maximum string length: 100
website
string | null

website: flat permitted field.

Maximum string length: 255
urgency
enum<string> | null

urgency: flat permitted field.

Available options:
nice_to_have,
this_quarter,
blocking,
null
note
string | null

note: flat permitted field.

Maximum string length: 2000

Response

Current response

id
integer
required

id from the current marketplace serializer.

requested_app
string
required

requested app from the current marketplace serializer.

created_at
string<date-time>
required

created at from the current marketplace serializer.